> Draft for our first January newsletter to be send in January 2019. 
> Don't be confused by it asking to sign up to the newsletter, I expect we send this around to friendly people to advertise the workshops and add it to tinyletter but it's really rather announcing that there is a newsletter to sign up than a proper first newsletter.  
> Please reformat accordingly to make it fit the outlet your sending it to  
> Update [#45](https://github.com/alan-turing-institute/the-turing-way/issues/45) with info of where you sent it to please

Subject
# The Turing Way - project announcement

Dear amazing people,

We send this to you as we expect you to be interested in the Turing Way project.

The Turing Way is a handbook to support students, their supervisors, funders and journal editors in ensuring that reproducible data science is "too easy not to do". 
It will include training material on version control, analysis testing, and open and transparent communication with future users, and build on Turing Institute case studies and workshops.
It is openly developed and any and all questions, comments and recommendations are welcome at our github repository: https://github.com/alan-turing-institute/the-turing-way or in our gitter chat room: https://gitter.im/alan-turing-institute/the-turing-way

## How can you get involved in the Turing Way?

* Sign up to our newsletter to get monthly updates on the handbook's progress at https://tinyletter.com/TuringWay

* Share your tips, tricks and gotchas!
  What do you wish you'd know when you started making your work reproducible?
  We would love to share your experience with our readers and other members of our community.
  
  To add your advice to the handbook, please fill out our quick [submission form](https://goo.gl/forms/akFqZEIy2kxAjfZW2)

* Attend one of our workshops  
We will run three workshops throughout March 2019.

### Boost your research reproducibility with Binder

If you are looking for an easy way to share your code with others, without worrying about the computational environment they're running or installing a long list of requirements, then [Binder](https://mybinder.readthedocs.io/en/latest/) might be the solution for you.
Binder allows you to share your software with others in the form of a single clickable link, making it easier for users and removing the need for you to worry about supporting lots of different platforms.

During this free workshop we will discuss reproducible computing environments, show examples of others’ projects in [myBinder.org](https://mybinder.org/) and help you learn how to prepare a binder-ready project.
At the end of the workshop you will be able to take some of your own content (in a R or Jupyter notebook, or scripts that can be run in the terminal) and prepare it so that it can be used by others on myBinder.org.

This workshop is for people who are:
*	Interested in reproducibility, containers, Docker or continuous integration; 
*	Already familiar with R Markdown or Jupyter notebooks;
*	Looking to communicate their research more effectively.

**Workshop locations and sign-up**
* [Manchester - 1st March](https://www.eventbrite.co.uk/e/boost-your-research-reproducibility-with-binder-manchester-registration-55331997494)
* [London - 12th March](https://www.eventbrite.co.uk/e/boost-your-research-reproducibility-with-binder-london-registration-55337162944)

### Build a BinderHub

Funders and publishers are beginning to require that publications include access to the underlying data and the analysis code.
Researchers can be supported in doing this through [myBinder.org](https://mybinder.org/) which allows you to share your software with others in the form of a single clickable link, making it easier for users and removing the need for you to worry about supporting lots of different platforms.
This is a huge step forward in terms of supporting reproducibility but the public Binder instance, [myBinder.org](https://mybinder.org/), requires all code and data to be fully open, and computational power and data storage is limited.
One solution to this is to host your own [BinderHub](https://binderhub.readthedocs.io/en/latest/) locally, allowing you to control who has access to code and data and to provide greater computational power. 

During this free workshop we will demonstrate how to build your own BinderHub on Microsoft Azure cloud computing resources.
We will help you get started with building a BinderHub on your institution's computing platform and discuss the challenges of maintaining a BinderHub.
At the end of the workshop you will know why this would be a useful resource for your team, and will know where to look for help and support building your institution's BinderHub.

This workshop is for Research Software Engineers and IT staff who are:
*	Interested in reproducibility, containers, Docker or continuous integration; 
*	Already familiar with Binder and R Markdown or Python for data science;
*	Interested in setting up their own local BinderHub.

**Workshop location and sign-up**
* [Sheffield - 18th March](https://www.eventbrite.co.uk/e/build-a-binderhub-registration-55336756729)

Please share this message with anyone you think would be interested.

Thank you for reading, and we look forward to your contributions!

The Turing Way project team  
https://github.com/alan-turing-institute/the-turing-way
