# CarpentryConnect Manchester 2019

* Website: https://www.software.ac.uk/ccmcr19
* Application form: https://docs.google.com/forms/d/e/1FAIpQLSdPtEFSWYyX09w1G1T5ZvhZJRQyBzXD4zvJbi_GDtnqhgsTKw/viewform?fbzx=5910728232670056851
* Location: Manchester, UK
* Date: 25-27 June 2019

### Applicant

Kirstie Whitaker

### What are you submitting or proposing?

Workshop (longer sessions or training on specific topics)

### Title of the workshop that you would like to lead

Boost your research reproducibility with Binder

### Abstract for the workshop that you would like to lead (~ 250 words)

You might imagine that sharing your data and the code used to generate published results is enough to make your work reproducible.
In some cases that is true (yay!), but there are examples of analyses that give different answers depending on the versions of software packages that were used by the original researcher.
Capturing this "computational environment" is often easier said than done.
It requires specific skills and knowledge, and expertise in the usage of tools that are not widely taught or expected of academic researchers and data scientists.

In this workshop we will introduce Binder (https://mybinder.readthedocs.io), a tool that allows you to share your code along with all the other software requirements, in the form of a single clickable link.
Binder makes it easy for users to share their analyses and for readers of their work to verify their computations.
Participants will 1) listen to an overview of the challenges of reproducibility and its importance (30 mins), 2) explore some curated examples to demonstrate the effects that different computational environments have on an analysis (15 mins followed by 15 minute comfort break), 2) code-along with the instructor to prepare their first binder-ready project on GitHub (1 hour), and 3) have some time to "binderise" their own research (in a R markdown document, Jupyter notebook, or scripts that can be run in the terminal) (1 hour).
All participants will leave understanding how they can take steps to improve the transparency and reproducibility of their work, and with specific examples of their own research captured and shared with the world.

(259 words)


### Anticipated length of the workshop

- [ ] 1.5 hours
- [x] 3 hours

### Co-lead/helper(s)

- [x] I will suggest a co-lead/helper(s)
- [ ] I would like the organisers to help me find a co-lead/helper(s)

### Suggest title(s) of other workshops(s) that you would like to see at the conference. You can add multiple suggestions separated by comma.

*Left blank*

### Add your suggestions for anything else you would like to see at the conference

*Left blank*

### Any other comments

Thank you for inviting us to submit an application.
You can see materials from our first version of this workshop at https://github.com/alan-turing-institute/the-turing-way/tree/master/workshops/boost-research-reproducibility-binder.