# Ways of working

This documents outlines expectations and responsibilities of project members and contributors of the Turing Way project with regards to working on the project.

## Project team
|Name | Role | % working on the project | Time period allocated to the project|
|---|---|---|---|
| Kirstie Whitaker| PI  |   |   |
| Becky Arnold| Research Software Engineer |100% | Dec 2018 - Mar 2019 |
| Sarah Gibson | Research Data Scientist | 40% | Nov 2018 - Mar 2019 |
| Louise Bowler | Research Data Scientist | 40% | Nov 2018 - Mar 2019 |
| Patricia Herterich | Data Librarian | 40% | Nov 2018 - Mar 2019 |
| Rosie Higman | Research Data Librarian | 20% | Jan - Mar 2019 |
| Anna Krystalli | Research Software Engineer | 10% | Dec 2018 - Mar 2019 |
| Alex Morley | Mozilla Fellow | not paid by project |  Nov 2018 - June 2019  |
| Martin O'Reilly | Principal Research Software Engineer | 10 % | Nov 2018 - Mar 2019 |
| Rachael Ainsworth | Research Associate | 100% | Apr 2019 - May 2019 |

## Communication
We're always around for a chat in our public gitter channel: https://gitter.im/WhitakerLab/the-turing-way

In addition, you can reach the team members through their preferred way of communication:
- Kirstie Whitaker: Mention me on a Github issue or pull request ([@KirstieJane](https://github.com/KirstieJane)), or tag me in [Gitter](https://gitter.im/alan-turing-institute/the-turing-way), @KirstieJane. Don't be afraid to nudge if I've not replied after a day or two! :sparkling_heart:
- Becky Arnold: email r.j.arnold.uk@gmail.com
- Sarah Gibson: [sgibson@turing.ac.uk](mailto:sgibson@turing.ac.uk)
- Louise Bowler: drop me a message on Gitter, @LouiseABowler
- Patricia Herterich: if you need a quick answer, ping me on Twitter (https://twitter.com/PHerterich)
- Rosie Higman: [rosie.higman@manchester.ac.uk](mailto:rosie.higman@manchester.ac.uk) or ping me on Twitter [@RosieHLib](https://twitter.com/RosieHLib)
- Anna Krystalli: [a.krystalli@sheffield.ac.uk](mailto:a.krystalli@sheffield.ac.uk)
- Alex Morley: tw: [@alex__morley](https://twitter.com/alex__morley), gh: [@alexmorley](https://github.com/alexmorley)
- Martin O'Reilly: Mention me on a Github issue or pull request ([@martintoreilly](https://github.com/martintoreilly)).
- Rachael Ainsworth: Mention me on a Github issue or pull request ([@rainsworth](https://github.com/rainsworth)), ping me on Twitter [@rachaelevelyn](https://twitter.com/rachaelevelyn), or email me at [rachael.ainsworth@manchester.ac.uk](mailto:rachael.ainsworth@manchester.ac.uk).

As most team members do not work full time on the Turing Way, it might take some time until your query or contribution is addressed - especially if expert knowledge is needed.
The core project team will have weekly update meetings on Wednesdays from 2-4 pm either on slack or as videocalls on zoom.

## Project management
### Issues
- Once completed, issues should be closed immediately. By adding closes #issue or [something similar](https://help.github.com/articles/closing-issues-using-keywords/) in a comment on a pull request, merging the pull request will close the issue automatically.
- The team will have a weekly catch up to go triage on open issues, update the project board and agree on priorities for the next week.

### Pull requests
- Pull requests should be reviewed in a timely manner.
- When reviewing a pull request, please do not use the "request a change" function but comment on the change or make a pull request to the file that should be merged.

## Commitments
All The Turing Way team members commit to
- making the implicit explicit by documenting their work
- dedicating time to update contribution guidelines and other core documents needed to facilitate collaboration
- feed back on issues in open source software used throughout the Turing Way by opening an issue in those open source packages and trying to fix them (including documentation)
